# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This Source Code Form is "Incompatible With Secondary Licenses", as
# defined by the Mozilla Public License, v. 2.0.

package Bugzilla::Extension::Multiselect::Config;

use 5.10.1;
use strict;
use warnings;

use Bugzilla::Config::Common;

sub get_param_list {
    my ($class) = @_;

    my @param_list = (
        {
           name => 'my_custom_pref',
           type => 'o',
           choices => ['foo', 'baz', 'bar', 'fiz', 'buz', 'oof', 'zab', 'rab'],
           default => 'foo',
           checker => \&check_multi
        }
    );
    return @param_list;
}

1;
